services:
  local-ical:
    build: .
    container_name: local-ical
    restart: unless-stopped
    networks:
      - traefik
      - internal
    labels:
      'traefik.enable': 'true'
      'traefik.docker.network': 'traefik'
      'traefik.http.routers.ical-local.rule': 'Host(`cal.cloud.dmytros.dev`)'
      'traefik.http.routers.ical-local.entrypoints': 'websecure'
      'traefik.http.routers.ical-local.tls.certresolver': 'letsencrypt'
      'traefik.http.routers.ical-local.service': 'ical-local-service'
      'traefik.http.services.ical-local-service.loadbalancer.server.port': '3000'
networks:
  traefik:
    external: true
  internal:
    external: false
    name: local-ical-network
